using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Gladiator : AIEntity
{
	
    // Start is called before the first frame update
    override protected void Start()
    {
        base.Start();
        base.entityType = EntityFlag.Gladiator;
        base.enemies = EntityFlag.Monster | EntityFlag.Vampire;
    }

    override protected void Update(){
        base.Update();
        if(bloodTokens <= 0){
            OnEmpty();
        }
    }

    override protected bool IsTargetable(Entity other){
	    if (!other.IsAlive() || other is Gladiator)
		    return false;

	    //Is targetable if it's the vampire but not in safe zone
	    if (other is VampireEntity vampireEntity)
		    return !vampireEntity.IsInSafeZone();
		
	    //If monster
	    return true;
    }
}
